Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

FieldType/Image/ImageStorage/Gateway.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\Core\FieldType\Image\ImageStorage;
8
9 use eZ\Publish\SPI\Persistence\Content\VersionInfo;
10 use eZ\Publish\SPI\FieldType\StorageGateway;
11
15 abstract class Gateway extends StorageGateway
16 {
24 abstract public function getNodePathString(VersionInfo $versionInfo);
25
32 abstract public function storeImageReference($uri, $fieldId);
33
42 abstract public function getXmlForImages($versionNo, array $fieldIds);
43
51 abstract public function removeImageReferences($uri, $versionNo, $fieldId);
52
60 abstract public function countImageReferences($uri);
61
65 abstract public function isImageReferenced(string $uri): bool;
66
70 abstract public function extractFilesFromXml($xml);
71
72 abstract public function getAllVersionsImageXmlForFieldId(int $fieldId): array;
73
74 abstract public function updateImageData(int $fieldId, int $versionNo, string $xml): void;
75
76 abstract public function getImagesData(int $offset, int $limit): array;
77
78 abstract public function updateImagePath(int $fieldId, string $oldPath, string $newPath): void;
79
80 abstract public function countDistinctImagesData(): int;
81 }
eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway
Image Field Type external storage gateway.
Definition: FieldType/Image/ImageStorage/Gateway.php:16
eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\getImagesData
getImagesData(int $offset, int $limit)
eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\countImageReferences
countImageReferences($uri)
Returns the number of recorded references to the given $path.
eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\removeImageReferences
removeImageReferences($uri, $versionNo, $fieldId)
Removes all references from $fieldId to a path that starts with $path.
eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\updateImageData
updateImageData(int $fieldId, int $versionNo, string $xml)
eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\countDistinctImagesData
countDistinctImagesData()
eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\getXmlForImages
getXmlForImages($versionNo, array $fieldIds)
Returns a the XML content stored for the given $fieldIds.
eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\extractFilesFromXml
extractFilesFromXml($xml)
Returns the public uris for the images stored in $xml.
eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\isImageReferenced
isImageReferenced(string $uri)
Returns true if there is reference to the given $uri.
eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\storeImageReference
storeImageReference($uri, $fieldId)
Stores a reference to the image in $path for $fieldId.
eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\getNodePathString
getNodePathString(VersionInfo $versionInfo)
Returns the node path string of $versionInfo.
eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\updateImagePath
updateImagePath(int $fieldId, string $oldPath, string $newPath)
eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\getAllVersionsImageXmlForFieldId
getAllVersionsImageXmlForFieldId(int $fieldId)
eZ\Publish\Core\FieldType\Image\ImageStorage
Converter for Image field type external storage.
Definition: ImageStorage.php:23
eZ\Publish\SPI\FieldType\StorageGateway
Base class for FieldType external storage gateways.
Definition: SPI/FieldType/StorageGateway.php:13
eZ\Publish\SPI\Persistence\Content\VersionInfo
This class holds version information data.
Definition: SPI/Persistence/Content/VersionInfo.php:15
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.